* Find the oldest member of each family 
* This version uses two queries in sequence.
* The first gathers the birthdate of the oldest
* in each family. The second uses that info to 
* find those people.

SELECT iFamilyFK, MIN(dBirthdate)  AS dBirthMin;
   FROM Person ;
   WHERE NOT EMPTY(dBirthdate) ;
   GROUP BY 1 ;
   INTO CURSOR Oldest

SELECT cFirstName, cLastName, Person.iFamilyFK, dBirthdate ;
  FROM Person ;
    JOIN Oldest ;
      ON Person.iFamilyFK = Oldest.iFamilyFK ;
         AND Person.dBirthdate = Oldest.dBirthMin ;
  INTO CURSOR OldestInFamily