* Get a list of people, including home and work phones,
* who live in 609 area code, but work in an area code 
* below 609. (Not a very realistic example, of course.)

SELECT  cFirstName, cLastName, ;
        HomePhone.cAreaCode AS HomeAC, HomePhone.cNumber AS HomeNumber, ;
        WorkPhone.cAreaCode AS WorkAC, WorkPhone.cNumber AS WorkNumber ;
   FROM Person ;
      LEFT JOIN HasPhone HasHome ;
   	  	ON Person.iPersonID = HasHome.iPersonFK ;
   	  	AND HasHome.cType = "H" ;
   	LEFT JOIN Phone HomePhone ;
   	    ON HasHome.iPhoneFK = HomePhone.iPhoneID ;
   	LEFT JOIN HasPhone HasWork ;
   	    ON HasWork.iPersonFK = Person.iPersonID;
   	    AND HasWork.cType = "W" ;
   	LEFT JOIN Phone WorkPhone ;
   	    ON HasWork.iPhoneFK = WorkPhone.iPhoneID ;
   WHERE HomePhone.cAreaCode = "609" ;
     AND (WorkPhone.cAreaCode < "609" OR EMPTY(WorkPhone.cAreaCode)) ;
   INTO CURSOR LivesIn609

