* Create a list of all children, including their home phone 
* numbers, if available.
* This filter can go in the WHERE clause because it doesn't
* affect which records get joined.

SELECT cFirstName, cLastName, cAreaCode, cNumber, cExtension ;
   FROM Person ;
      LEFT JOIN HasPhone ;
        ON Person.iPersonId = HasPhone.iPersonFK ;
           AND HasPhone.cType = "H" ;
      LEFT JOIN Phone ;
        ON HasPhone.iPhoneFK = Phone.iPhoneId ;
   WHERE dBirthdate > GOMONTH(DATE(), -18*12 ) ;
   INTO CURSOR HomePhones