* Find the oldest member of each family.
* The subquery finds the right birthdate for each family.
* The main query uses that info to find the actual person record.

SELECT cFirstName, cLastName, iFamilyFK, dBirthdate ;
  FROM Person ;
  WHERE STR(iFamilyFK)+DTOS(dBirthdate) IN ;
     ( SELECT STR(iFamilyFK)+ DTOS(MIN(dBirthdate)) ;
         FROM Person ;
         WHERE NOT EMPTY(dBirthdate) ;
         GROUP BY iFamilyFK ) ;
  INTO CURSOR OldestInFamily