* Join people to their emergency contacts, 
* including phone information. 
* This requires a self-join.

SELECT Person.cFirstName, Person.cLastName, ;
       Emerg.cFirstName AS cEmergFirstName, ;
       Emerg.cLastName AS cEmergLastName, ;
       Phone.cAreaCode, Phone.cNumber, ;
       Phone.cExtension, HasPhone.cType ;
    FROM Person ;
        JOIN Person Emerg ;
          ON Person.iEmergFK = Emerg.iPersonId ;
        JOIN HasPhone ;
          ON Emerg.iPersonId = HasPhone.iPersonFK ;
        JOIN Phone ;
          ON HasPhone.iPhoneFK = Phone.iPhoneId ;
    ORDER BY 2, 1 ;
    INTO CURSOR Contacts